# List RBAC groups Retrieve a list of RBAC groups. Can be filtered by platform_key, owner, name, username, or email. Use include_users to control response payload. Endpoint: GET /api/core/rbac/groups/ Version: 4.84.1-ai-plus Security: PlatformApiKeyAuthentication ## Query parameters: - `email` (string) Filter groups by email (exact match, case-insensitive) - `include_users` (boolean) Include user information in response (default: true) - `name` (string) Filter groups by name (case-insensitive partial match) - `owner` (string) Filter groups by owner username - `page` (integer) A page number within the paginated result set. - `page_size` (integer) Number of results to return per page. - `platform_key` (string) Filter groups by platform key - `username` (string) Filter groups by username (exact match, case-insensitive) ## Response 200 fields (application/json): - `count` (integer, required) Example: 123 - `next` (string,null) Example: "http://api.example.org/accounts/?page=4" - `previous` (string,null) Example: "http://api.example.org/accounts/?page=2" - `results` (array, required) - `results.id` (integer, required) - `results.unique_id` (string, required) The unique identifier for the group - `results.platform` (object, required) Serializer for platforms. - `results.platform.key` (string, required) The platform key - `results.platform.name` (string,null) The name of the platform - `results.name` (string) Optional name of the group - `results.description` (string) Optional group description - `results.owner` (object, required) Serializer for users. - `results.owner.id` (integer, required) edX user ID - `results.owner.username` (string,null) edX username - `results.owner.email` (string,null) edX email - `results.users` (array, required) - `results.is_internal` (boolean, required) When True, this group is internal to the system and cannot be viewed or modified by tenants via API endpoints. ## Response 403 fields